get
https://{companyDomain}.bamboohr.com/api/v1_2/performance/employees//goals/aggregate
Provides a goals dashboard for an employee: goals matching the selected filter, status filter counts/actions, comment counts, and people shared with or commenting on those goals. This v1.2 endpoint includes milestone-based goals in the returned goal list. Use the optional filter query parameter to control which statuses are included; use status-all when the user asks for a complete dashboard across active, completed, and closed goals. Note: Compared to "Get Goals Aggregate (v1.1)", this version returns goals that contain milestones.
OAuth Scopes: goal
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request URL
https://{companyDomain}.bamboohr.com/api/v1_2/performance/employees/123/goals/aggregateSample Response
{
"canAlign": false,
"canCreateGoals": true,
"filters": [
{
"id": "status-inProgress",
"name": "In Progress",
"count": 2,
"actions": {
"canCloseGoal": true,
"canEditGoal": true,
"canEditGoalProgressBar": true,
"canReopenGoal": false,
"canShareGoal": true
}
},
{
"id": "status-completed",
"name": "Completed",
"count": 1,
"actions": {
"canCloseGoal": false,
"canEditGoal": true,
"canEditGoalProgressBar": true,
"canReopenGoal": false,
"canShareGoal": true
}
},
{
"id": "status-closed",
"name": "Closed",
"count": 1,
"actions": {
"canCloseGoal": false,
"canEditGoal": false,
"canEditGoalProgressBar": false,
"canReopenGoal": true,
"canShareGoal": false
}
}
],
"selectedFilter": "status-inProgress",
"goals": [
{
"id": "11",
"title": "Complete Task Alpha",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
"percentComplete": 5,
"alignsWithOptionId": null,
"sharedWithEmployeeIds": [
123
],
"dueDate": "2024-03-17",
"completionDate": null,
"status": "in_progress"
},
{
"id": "16",
"title": "Improve SPU",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
"percentComplete": 25,
"alignsWithOptionId": null,
"sharedWithEmployeeIds": [
123
],
"dueDate": "2024-03-17",
"completionDate": null,
"status": "in_progress",
"milestones": [
{
"id": 17,
"employeeGoalId": 16,
"title": "Get price down from 100 to 50",
"currentValue": 75,
"startValue": 100,
"endValue": 50,
"completedDateTime": null,
"lastUpdateDateTime": "2022-07-15T15:37:02Z",
"lastUpdateUserId": 2298
},
{
"id": 18,
"employeeGoalId": 16,
"title": "Make get out of debt and make a profit of 5",
"currentValue": -7,
"startValue": -7,
"endValue": 5,
"completedDateTime": null,
"lastUpdateDateTime": "2022-07-15T15:37:02Z",
"lastUpdateUserId": 2298
}
],
"actions": {
"canEditGoalProgressBar": false,
"canEditGoalMilestoneProgressBar": true
}
}
],
"persons": [
{
"employeeId": 123,
"userId": null,
"displayFirstName": "Poe",
"lastName": "Panda",
"photoUrl": "po-panda-photo.jpg"
}
],
"comments": [
{
"goalId": "11",
"commentCount": 2
},
{
"goalId": "16",
"commentCount": 3
}
]
} 403The authenticated caller does not have permission to view goals for this employee.
